<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
"use strict";
export class GetTranslationReview {
    /** @param {{Id?:string}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Id;
}
export class TranslationUnitProxy {
    /** @param {{PropertyName?:string,SourceValue?:string,TargetValue?:string}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    PropertyName;
    /** @type {string} */
    SourceValue;
    /** @type {string} */
    TargetValue;
}
export class TranslationUnitGroupProxy {
    /** @param {{Name?:string,Units?:IList<TranslationUnitProxy>}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    Name;
    /** @type {IList<TranslationUnitProxy>} */
    Units;
}
export class TranslationReviewProxy {
    /** @param {{ActualSourceLanguage?:string,TargetLanguage?:string,ItemType?:string,UnitGroups?:IList<TranslationUnitGroupProxy>}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    ActualSourceLanguage;
    /** @type {string} */
    TargetLanguage;
    /** @type {string} */
    ItemType;
    /** @type {IList<TranslationUnitGroupProxy>} */
    UnitGroups;
}

JavaScript GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}